import { Color, FENChar } from "../../chess-logic/models";

export type StockfishQueryParams = {
    depth: number;
    fen: string;
}

export type ChessMove = {
    prevX: number;
    prevY: number;
    newX: number;
    newY: number;
    promotedPiece: FENChar |null;
}

export type StockfishResponse = {
    success: boolean;
    evaulatuion: number | null;
    mate: number | null;
    bestmove: string;
    continuation: string;
}

export type ComputerConfguration = {
    color: Color
    level: number;
}

export const stockfishLevels: Readonly<Record<number,number>> = {
    1:1,
    2:4,
    3:7,
    4:10,
    5:13
};